Loading...
Searching...
No Matches
stdex::progress_switcher< T > Class Template Reference

Progress indicator switcher. More...

`#include <stdex/progress.hpp>`

Inheritance diagram for stdex::progress_switcher< T >:

## Public Member Functions

| progress_switcher (progress< T > *&host)
Public Member Functions inherited from stdex::global_progress< T >
| global_progress (progress< T > *host=NULL)
| Constructs a progress indicator.
void | attach (progress< T > *host)
| Attach to a host progress indicator.
progress< T > * | detach ()
| Detach host progress indicator.
void | set_global_range (T start, T end)
| Set global extend of the progress indicator.
void | set_section_range (T start, T end)
| Set section extend of the progress indicator.
virtual void | set_text (const char *msg)
| Set progress indicator text.
virtual void | set_range (T start, T end)
| Set local extend of the progress indicator.
virtual void | set (T value)
| Set local current progress.
virtual void | show (bool show=true)
| Show or hide progress.
virtual bool | cancel ()
| Query whether user requested abort.

## Protected Attributes

progress< T > *& | m_host_ref
Protected Attributes inherited from stdex::global_progress< T >
progress< T > * | m_host
interval< T > | m_local
interval< T > | m_global
interval< T > | m_section

## Detailed Description

template<class T>
class stdex::progress_switcher< T >

Progress indicator switcher.

Use to inject global_progress indicator inplace of another progress indicator.

The documentation for this class was generated from the following file:

- include/stdex/progress.hpp